Package org.opensaml.xmlsec.keyinfo

# Interface KeyInfoGenerator

All Known Implementing Classes:
  `BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator`, `KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator`, `StaticKeyInfoGenerator`, `X509KeyInfoGeneratorFactory.X509KeyInfoGenerator`

public interface KeyInfoGenerator
Interface for implementations which generate a `KeyInfo` based on keying material and other information found within a `Credential`.

## Method Summary

Modifier and Type
Method
Description
`KeyInfo`
`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.

## Method Details

### generate

@Nullable KeyInfo generate(@Nullable Credential credential) throws SecurityException
Generate a new KeyInfo object based on keying material and other information within a credential.

Parameters:
  `credential` - the credential containing keying material and possibly other information
Returns:
  a new KeyInfo object or null if nothing was generated
Throws:
  `SecurityException` - thrown if there is any error generating the new KeyInfo from the credential